var domainValidated = false;

$(document).ready(function(){
    $("#frmUkVerify").submit(function(e){
        if (domainValidated) {
            if ($('#confirmEligibility').is(':checked')) {
                return true;
            } else {
                e.preventDefault();
                alert("You must tick to confirm you are the eligible claimant for this domain before proceeding.");
                return false;
            }
        }
        e.preventDefault();
        $("#btnVerify").attr('disabled', 'disabled');
        $("#domainVerify").hide();
        $("#domainVerifyLoader").removeClass('hidden').show();
        $.post(
            'index.php?m=claimyouruk',
            jQuery("#frmUkVerify").serialize(),
            function(data) {
                $("#errorInvalid").hide();
                $("#errorNotReserved").hide();
                $("#errorRegistered").hide();
                $("#errorFail").hide();
                $("#inputDomain").val(data.domain);
                $(".domainToReserve").html(data.domain);
                if (data.status == 'invalid') {
                    $("#errorInvalid").removeClass('hidden').show();
                    $("#btnVerify").removeAttr('disabled');
                    $("#domainVerifyLoader").hide();
                    $("#domainVerify").removeClass('hidden').show();
                } else if (data.status == 'notreserved') {
                    $("#registerLink").attr('href', data.registerlink);
                    $("#errorNotReserved").removeClass('hidden').show();
                    $("#btnVerify").removeAttr('disabled');
                    $("#domainVerifyLoader").hide();
                    $("#domainVerify").removeClass('hidden').show();
                } else if (data.status == 'registered') {
                    $("#errorRegistered").removeClass('hidden').show();
                    $("#btnVerify").removeAttr('disabled');
                    $("#domainVerifyLoader").hide();
                    $("#domainVerify").removeClass('hidden').show();
                } else if (data.status == 'ok') {
                    $("#inputAction").val('checkout');
                    $("#reservedDomain").html(data.reservedfor);
                    $("#domainVerifyLoader").hide();
                    $("#domainVerifyResult").removeClass('hidden').show();
                    domainValidated = true;
                } else {
                    $("#errorFail").removeClass('hidden').show();
                    $("#btnVerify").removeAttr('disabled');
                    $("#domainVerifyLoader").hide();
                    $("#domainVerify").removeClass('hidden').show();
                }
            },
            "json"
        );
    });
});

function searchAgain() {
    $("#domainVerifyLoader").hide();
    $("#btnVerify").removeAttr('disabled');
    $("#inputAction").val('verify');
    $("#domainVerifyResult").fadeOut('', function() {
        $("#domainVerify").fadeIn();
    });
    domainValidated = false;
}
